
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Barcode extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Barcode({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M5 19L5 5L6 5" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 19L12 5L13 5" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
<path d="M9 5L9 19" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16 5L16 19" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
<path d="M19 5L19 19" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
<path d="M6 5L6 19H5" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
<path d="M13 5L13 19H12" stroke="currentColor"   stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
