
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class CompressLines extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const CompressLines({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M18 2L6 2" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18 22L6 22" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 5V10M12 10L15 7M12 10L9 7" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 19V14M12 14L15 17M12 14L9 17" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
