
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class DataTransferUp extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const DataTransferUp({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M7 4L7 5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7 9L7 10" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M17 20V4M17 4L20 7M17 4L14 7" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7 14V20M7 20L10 17M7 20L4 17" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
