
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class DivideThree extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const DivideThree({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M12 21V17C12 14.2386 9.76142 12 7 12H3" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 21V17C12 14.2386 14.2386 12 17 12H21" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 2.00005V22" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M6 8C4.4379 9.5621 3.5621 10.4379 2 12C3.5621 13.5621 4.4379 14.4379 6 16" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16 6C14.4379 4.4379 13.5621 3.5621 12 2C10.4379 3.5621 9.5621 4.4379 8 6" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18 8C19.5621 9.5621 20.4379 10.4379 22 12C20.4379 13.5621 19.5621 14.4379 18 16" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
