
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Farm extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Farm({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M5 20H2V8L8 5L14 8V20H11M5 20V13H11V20M5 20H11" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18 14V17V20" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M14 17H18H22" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M14 14H18H22" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
