
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Hashtag extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Hashtag({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M10 3L6 21" stroke="currentColor" stroke-linecap="round"/>
<path d="M20.5 16H2.5" stroke="currentColor" stroke-linecap="round"/>
<path d="M22 7H4" stroke="currentColor" stroke-linecap="round"/>
<path d="M18 3L14 21" stroke="currentColor" stroke-linecap="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
