
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class HeatingSquare extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const HeatingSquare({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M21 3.6V20.4C21 20.7314 20.7314 21 20.4 21H3.6C3.26863 21 3 20.7314 3 20.4V3.6C3 3.26863 3.26863 3 3.6 3H20.4C20.7314 3 21 3.26863 21 3.6Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7.99995 6C7.99995 6 5.5 9 7.99995 12C10.4999 15 7.99995 18 7.99995 18" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M11.9999 6C11.9999 6 9.5 9 11.9999 12C14.4999 15 11.9999 18 11.9999 18" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M15.9999 6C15.9999 6 13.5 9 15.9999 12C18.4999 15 15.9999 18 15.9999 18" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
