
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class MicrophoneWarning extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const MicrophoneWarning({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M21 14L21 18" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M21 22.01L21.01 21.9989" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<rect x="7" y="2" width="6" height="12" rx="3" stroke="currentColor" stroke-width="1.5"/>
<path d="M3 10V11C3 14.866 6.13401 18 10 18V18V18C13.866 18 17 14.866 17 11V10" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M10 18V22M10 22H7M10 22H13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
