
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Microscope extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Microscope({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M19 22H7M5 22H7M7 22V19" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M19 16H10" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16 2L12 2" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 7C9 7 7 8 7 11V13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16 4.6V11.4C16 11.7314 15.7314 12 15.4 12H12.6C12.2686 12 12 11.7314 12 11.4V4.6C12 4.26863 12.2686 4 12.6 4H15.4C15.7314 4 16 4.26863 16 4.6Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7 19C5.34315 19 4 17.6569 4 16C4 14.3431 5.34315 13 7 13C8.65685 13 10 14.3431 10 16C10 17.6569 8.65685 19 7 19Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
