
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Number9Square extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Number9Square({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M3 20.4V3.6C3 3.26863 3.26863 3 3.6 3H20.4C20.7314 3 21 3.26863 21 3.6V20.4C21 20.7314 20.7314 21 20.4 21H3.6C3.26863 21 3 20.7314 3 20.4Z" stroke="currentColor"/>
<path d="M12 8C13.3807 8 14.5 8.5 14.5 10.5C14.5 12 13.3807 12.5 12 12.5C10.6193 12.5 9.5 12 9.5 10.5C9.5 8.5 10.6193 8 12 8Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M14.5 11C14.5 14 14.5 16 10 16" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
