
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Safari extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Safari({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M10.5857 10.5857L16.9496 7.0502L13.4141 13.4142M10.5857 10.5857L7.05012 16.9497L13.4141 13.4142M10.5857 10.5857L13.4141 13.4142" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M19 12H18" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M6 12H5" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 5V6" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 18V19" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7.05029 7.05029L7.7574 7.7574" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16.2427 16.2427L16.9498 16.9498" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
