
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class StarDashed extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const StarDashed({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M13.8062 5L12.8151 3.00376C12.4817 2.33208 11.5184 2.33208 11.1849 3.00376L10.6894 4.00188" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M15.011 7.427L15.4126 8.23599L16.8648 8.44704" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M19.7693 8.86914L21.2215 9.08019C21.9668 9.1885 22.2639 10.0994 21.7243 10.6219L20.6736 11.6394" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18.5724 13.6743L17.5217 14.6918L17.7697 16.1292" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18.2656 19.0039L18.5135 20.4413C18.6409 21.1797 17.8614 21.7427 17.1945 21.394L15.8959 20.715" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M10.4279 19.5L12 18.678L13.2986 19.357" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M5.67145 19.3689L5.48645 20.4414C5.35908 21.1797 6.13859 21.7428 6.80546 21.3941L7.65273 20.9511" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M6.25259 16L6.47826 14.6917L5.78339 14.0188" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M3.69875 12L2.27575 10.6219C1.73617 10.0993 2.03322 9.18844 2.77852 9.08012L3.88926 8.9187" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7 8.4666L8.58737 8.23591L9.39062 6.61792" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
