
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class Stretching extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const Stretching({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M16 7C17.1046 7 18 6.10457 18 5C18 3.89543 17.1046 3 16 3C14.8954 3 14 3.89543 14 5C14 6.10457 14.8954 7 16 7Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M5 20L9.90909 19.4762L12.6364 14.2381L13.7273 9L8.81818 10.0476L10.4545 12.1429" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M14.8181 15.2857H16.9999V20" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
