
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class WrapText extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const WrapText({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M4 7H20" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M4 17H9" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M4 12H17.5C18.8807 12 20 13.1193 20 14.5V14.5C20 15.8807 18.8807 17 17.5 17H12.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M15 15.5L12.5 17L15 18.5V15.5Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
